Clone Template
Create a copy of an existing template. The clone is named "Copy of {original name}".
Endpoint
POST https://api.campaignlark.com/v1/templates/:id/clone
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | required | The template ID to clone. |
Sample Request
POST https://api.campaignlark.com/v1/templates/1/clone
Response
Success — 201 Created
Returns the newly created template object (see Template Object).
Errors
| Status | Message | Cause |
|---|---|---|
400 | Please provide a valid template ID. | id path param is missing or not a number. |
404 | We were unable to find the template. | Template does not exist in the workspace. |
400 | Hang on, we're processing this template right now. Please try again later. | Template is still being processed. |